Bug 1661016 (CVE-2018-12120)

Summary: CVE-2018-12120 nodejs: Debugger port 5858 listens on any interface by default
Product: [Other] Security Response Reporter: Laura Pardo <lpardo>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: hhorak, jorton, zsvetlik
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: nodejs 6.15.0 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-11-18 18:05:03 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1661017, 1661018, 1665033, 1720101, 1720102, 1720103, 1720104    
Bug Blocks: 1661014    

Description Laura Pardo 2018-12-19 20:05:58 UTC
A flaw was found in Node.js versions before 6.15.0. A Debugger port 5858 listens on any interface by default. When the debugger is enabled with `node --debug` or `node debug`, it listens to port 5858 on all interfaces by default. This may allow remote computers to attach to the debug port and evaluate arbitrary JavaScript. The default interface is now localhost. It has always been possible to start the debugger on a specific interface, such as `node --debug=localhost`. The debugger was removed in Node.js 8 and replaced with the inspector, so no versions from 8 and later are vulnerable. 


References:
https://nodejs.org/en/blog/vulnerability/november-2018-security-releases/

Comment 1 Laura Pardo 2018-12-19 20:06:19 UTC
Created nodejs tracking bugs for this issue:

Affects: epel-all [bug 1661018]
Affects: fedora-all [bug 1661017]

Comment 2 Cedric Buissart 2019-01-10 09:38:04 UTC
Reducing the severity of the flaw down to Medium : Red Hat Enterprise Linux comes with a firewall enabled by default, blocking this port on untrusted interfaces.

Comment 5 Cedric Buissart 2019-01-10 10:44:52 UTC
Mitigation:

* On any version :
Ensure the firewall prevents access to port 5858 on untrusted interfaces.

* On nodejs 6 :
To enforce the debug on a specific interface:
$ node --debug=localhost

Comment 8 Cedric Buissart 2019-01-10 12:26:50 UTC
Upstream fix:
https://github.com/nodejs/node/commit/a9791c90

Comment 9 Sam Fowler 2019-06-13 07:09:54 UTC
Statement:

The nodejs RPMs shipped in Red Hat OpenShift Container Platform (OCP) versions 3.6 through 3.10 are vulnerable to this flaw because they contain the affected code. Later versions of OCP used nodejs RPMs delivered from Red Hat Software Collections and Red Hat Enterprise Linux channels.

Comment 12 Joshua Padman 2019-07-31 04:42:04 UTC
The current nodejs releaase in RHOAR 10 rhoar-nodejs10-10.16.0-1.el7 has been rebased and includes these fixes. Hence not affected

Comment 13 Joshua Padman 2019-07-31 04:42:36 UTC
In reply to comment #12:
> The current nodejs releaase in RHOAR 10 rhoar-nodejs10-10.16.0-1.el7 has
> been rebased and includes these fixes. Hence not affected

nodejs 10 was never affected.

Comment 14 Zuzana Svetlikova 2020-11-18 18:05:03 UTC
I am going to close this as nodejs v6.x is long out of support.